summaryrefslogtreecommitdiffstats
path: root/csit/scripts/healthcheck/health_check.sh
diff options
context:
space:
mode:
authorLasse Kaihlavirta <l.kaihlavirt@partner.samsung.com>2020-12-03 17:54:13 +0200
committerLasse Kaihlavirta <l.kaihlavirt@partner.samsung.com>2020-12-09 16:07:05 +0200
commit0c4500afd225801c940b309a2615b1afe3c505c8 (patch)
treeba3bc86b85466068ce2572bd256261b582126c0b /csit/scripts/healthcheck/health_check.sh
parent161e9a0c026d5a7fee595ef870e662ae9123f4f0 (diff)
Move CSIT to ccsdk/distribution repo
- move CCSDK healthcheck CSIT under distribution repository - add run-project-csit.sh that takes common CSIT scripts from integration/csit on runtime and then executes all the plans under distribution/csit/plans - use version.properties and UNIQUE_DOCKER_TAG to identify the docker image versions to run for testing if the latter is given, otherwise just choose "latest" (to enable easy local testing) - introduce new groovy script for tagging SNAPSHOT images only based on version.properties and UNIQUE_DOCKER_TAG - apply UNIQUE_DOCKER_TAG in dgbuilder and odlsli-alpine docker image versioning - add script for tagging snapshot images identified with UNIQUE_DOCKER_TAG with STAGING - use docker-compose for teardown instead of common kill scripts Issue-ID: CCSDK-3017 Signed-off-by: Lasse Kaihlavirta <l.kaihlavirt@partner.samsung.com> Change-Id: I37dcf682bf1ab77016a76adc89f5658bb0b71b19
Diffstat (limited to 'csit/scripts/healthcheck/health_check.sh')
-rw-r--r--csit/scripts/healthcheck/health_check.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/csit/scripts/healthcheck/health_check.sh b/csit/scripts/healthcheck/health_check.sh
new file mode 100644
index 00000000..aed3b5ab
--- /dev/null
+++ b/csit/scripts/healthcheck/health_check.sh
@@ -0,0 +1,30 @@
+#!/usr/bin/env bash
+###############################################################################
+# Copyright 2017 Huawei Technologies Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# Modifications copyright (c) 2020 Samsung Electronics Co., Ltd.
+#
+###############################################################################
+unset http_proxy https_proxy
+
+response=$(curl --write-out '%{http_code}' --silent --output /dev/null -H "Authorization: Basic YWRtaW46S3A4Yko0U1hzek0wV1hsaGFrM2VIbGNzZTJnQXc4NHZhb0dHbUp2VXkyVQ==" -X POST -H "X-FromAppId: csit-sdnc" -H "X-TransactionId: csit-ccsdk" -H "Accept: application/json" -H "Content-Type: application/json" http://localhost:8383/restconf/operations/SLI-API:healthcheck )
+
+if [ "$response" == "200" ]; then
+ echo "CCSDK health check passed."
+ exit 0;
+fi
+
+echo "CCSDK health check failed with response code ${response}."
+exit 1